Bug 14051 - Creation of new partitions (e.g. ForestDNS post-join) in AD does not work via samba-tool drs
Creation of new partitions (e.g. ForestDNS post-join) in AD does not work via...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.11.0rc1
All All
: P5 regression
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 14045
  Show dependency treegraph
 
Reported: 2019-07-25 04:53 UTC by Garming Sam
Modified: 2019-08-09 08:35 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.10 (13.00 KB, patch)
2019-08-01 22:34 UTC, Garming Sam
abartlet: review+
Details
Patch for 4.11 (12.98 KB, patch)
2019-08-01 23:13 UTC, Garming Sam
abartlet: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Garming Sam 2019-07-25 04:53:31 UTC

    
Comment 1 Garming Sam 2019-07-25 04:54:24 UTC
Running replicate with --local should be able to create the DB.
Comment 2 Garming Sam 2019-08-01 22:34:46 UTC
Created attachment 15362 [details]
Patch for 4.10
Comment 3 Garming Sam 2019-08-01 23:13:14 UTC
Created attachment 15364 [details]
Patch for 4.11
Comment 4 Andrew Bartlett 2019-08-01 23:53:39 UTC
This is probably a regression introduced in Samba 4.9 by 7009479b7a91715543e228412435ab2fdb6221ae 

Please select for Samba 4.11 and Samba 4.10. 

A big thanks to Garming for the debugging, fix and test!
Comment 5 Karolin Seeger 2019-08-07 10:54:05 UTC
(In reply to Andrew Bartlett from comment #4)
Pushed to autobuild-v4-{11,10}-test.
Comment 6 Karolin Seeger 2019-08-09 08:35:12 UTC
(In reply to Karolin Seeger from comment #5)
Pushed to both branches.
Closing out bug report.

Thanks!